com.holonplatform.vaadin.flow.components.builders

## Interface NativeButtonBuilder

- All Superinterfaces:
    ClickNotifierConfigurator<com.vaadin.flow.component.html.NativeButton,ClickEvent<com.vaadin.flow.component.html.NativeButton>,NativeButtonBuilder>, ComponentBuilder<com.vaadin.flow.component.html.NativeButton,NativeButtonBuilder>, ComponentConfigurator<NativeButtonBuilder>, DeferrableLocalizationConfigurator<NativeButtonBuilder>, FocusableConfigurator<com.vaadin.flow.component.html.NativeButton,NativeButtonBuilder>, HasDeferrableLocalization, HasElementConfigurator<NativeButtonBuilder>, HasEnabledConfigurator<NativeButtonBuilder>, HasSizeConfigurator<NativeButtonBuilder>, HasStyleConfigurator<NativeButtonBuilder>, HasTextConfigurator<NativeButtonBuilder>, HasTitleConfigurator<NativeButtonBuilder>, HtmlComponentConfigurator<NativeButtonBuilder>

      public interface NativeButtonBuilder
      extends HtmlComponentConfigurator<NativeButtonBuilder>, HasEnabledConfigurator<NativeButtonBuilder>, HasTextConfigurator<NativeButtonBuilder>, ClickNotifierConfigurator<com.vaadin.flow.component.html.NativeButton,ClickEvent<com.vaadin.flow.component.html.NativeButton>,NativeButtonBuilder>, FocusableConfigurator<com.vaadin.flow.component.html.NativeButton,NativeButtonBuilder>, DeferrableLocalizationConfigurator<NativeButtonBuilder>, ComponentBuilder<com.vaadin.flow.component.html.NativeButton,NativeButtonBuilder>

  Builder to create `NativeButton` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NativeButtonBuilder` | `create()` Create a new `NativeButtonBuilder`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ClickNotifierConfigurator

      `onClick, withClickListener, withClickShortcut, withClickShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### create

          static NativeButtonBuilder create()

      Create a new `NativeButtonBuilder`.
      Returns:
        A new `NativeButtonBuilder` instance

Copyright © 2019 The Holon Platform. All rights reserved.